Last Comment Bug 101609 - JSS OSF fails
: JSS OSF fails
Status: RESOLVED FIXED
:
Product: JSS
Classification: Components
Component: Library (show other bugs)
: 3.0
: x86 Windows NT
: -- enhancement (vote)
: 3.1.1
Assigned To: Jamie Nicolson
: Sonja Mirtitsch
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-25 14:49 PDT by Sonja Mirtitsch
Modified: 2001-10-30 13:12 PST (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
JSS 3.1 DBG built with new coreconf (failed) (33.27 KB, text/plain)
2001-09-25 14:51 PDT, Sonja Mirtitsch
no flags Details
JSS 3.1 DBG built with NSS_3_3_RTM coreconf (passed) (31.78 KB, text/plain)
2001-09-25 14:52 PDT, Sonja Mirtitsch
no flags Details

Description Sonja Mirtitsch 2001-09-25 14:49:14 PDT
I'm filing unauthorized bugs again, hope I don't make a new enemy...
I wanted to file this against the JSS build, but that was not a choice here.

When checking out coreconf with the static tag "NSS_3_3_RTM" the builds pass,
when using the current coreconf, which I need for the NT build to pass it fails
with and ld error:
gmake[1]: Entering directory
`/tmp_mnt/share/builds/mccrel/jss/jsstip/builds/20010925.1/booboo_Solaris8/mozilla/security/jss/lib'
grep -v ';+' jss.def | grep -v ';-' | \
 sed -e 's; DATA ;;' -e 's,;;,,' -e 's,;.*,,' -e 's,^,-exported_symbol ,' >
OSF1V4.0D_DBG.OBJ/jssmap.osf
rm -f OSF1V4.0D_DBG.OBJ/libjss3.so
ld -shared -expect_unresolved "*" -soname libjss3.so -B symbolic -hidden -input
OSF1V4.0D_DBG.OBJ/jssmap.osf -o OSF1V4.0D_DBG.OBJ/libjss3.so 
../org/mozilla/jss/crypto/OSF1V4.0D_DBG.OBJ/Algorithm.o
../org/mozilla/jss/crypto/OSF1V4.0D_DBG.OBJ/PQGParams.o
../org/mozilla/jss/manage/OSF1V4.0D_DBG.OBJ/CryptoManager.o
../org/mozilla/jss/manage/OSF1V4.0D_DBG.OBJ/PK11Finder.o
../org/mozilla/jss/pkcs11/OSF1V4.0D_DBG.OBJ/PK11Cert.o
../org/mozilla/jss/pkcs11/OSF1V4.0D_DBG.OBJ/PK11Cipher.o
../org/mozilla/jss/pkcs11/OSF1V4.0D_DBG.OBJ/PK11KeyGenerator.o
../org/mozilla/jss/pkcs11/OSF1V4.0D_DBG.OBJ/PK11KeyPairGenerator.o
../org/mozilla/jss/pkcs11/OSF1V4.0D_DBG.OBJ/PK11KeyWrapper.o
../org/mozilla/jss/pkcs11/OSF1V4.0D_DBG.OBJ/PK11MessageDigest.o
../org/mozilla/jss/pkcs11/OSF1V4.0D_DBG.OBJ/PK11Module.o
../org/mozilla/jss/pkcs11/OSF1V4.0D_DBG.OBJ/PK11PrivKey.o
../org/mozilla/jss/pkcs11/OSF1V4.0D_DBG.OBJ/PK11PubKey.o
../org/mozilla/jss/pkcs11/OSF1V4.0D_DBG.OBJ/PK11Signature.o
../org/mozilla/jss/pkcs11/OSF1V4.0D_DBG.OBJ/PK11SecureRandom.o
../org/mozilla/jss/pkcs11/OSF1V4.0D_DBG.OBJ/PK11Store.o
../org/mozilla/jss/pkcs11/OSF1V4.0D_DBG.OBJ/PK11SymKey.o
../org/mozilla/jss/pkcs11/OSF1V4.0D_DBG.OBJ/PK11Token.o
../org/mozilla/jss/ssl/OSF1V4.0D_DBG.OBJ/SSLSocket.o
../org/mozilla/jss/ssl/OSF1V4.0D_DBG.OBJ/callbacks.o
../org/mozilla/jss/ssl/OSF1V4.0D_DBG.OBJ/SSLServerSocket.o
../org/mozilla/jss/ssl/OSF1V4.0D_DBG.OBJ/common.o
../org/mozilla/jss/ssl/OSF1V4.0D_DBG.OBJ/javasock.o
../org/mozilla/jss/util/OSF1V4.0D_DBG.OBJ/jssutil.o
../org/mozilla/jss/util/OSF1V4.0D_DBG.OBJ/jssver.o
../org/mozilla/jss/util/OSF1V4.0D_DBG.OBJ/errstrings.o -taso  
-L../../../dist/OSF1V4.0D_DBG.OBJ/lib -lnss3 -lsmime3 -lssl3 -lplc4 -lplds4
-lnspr4 -L/share/builds/components/jdk/1.2.2/OSF1/jre/lib/alpha/native_threads
-lhpi -L/share/builds/components/jdk/1.2.2/OSF1/jre/lib/alpha/classic -ljvm
-L/share/builds/components/jdk/1.2.2/OSF1/jre/lib/alpha -ljava 
-L/share/builds/components/jdk/1.2.2/OSF1/jre/lib/alpha.no 
ld:
Badly formed hex number: symbolic
ld: Usage: ld [options] file [...]
gmake[1]: *** [OSF1V4.0D_DBG.OBJ/libjss3.so] Error 1
gmake[1]: Leaving directory
`/tmp_mnt/share/builds/mccrel/jss/jsstip/builds/20010925.1/booboo_Solaris8/mozilla/security/jss/lib'
gmake: *** [libs] Error 2
Elapsed Time = 00:01:37
Tue 25 Sep 2001 12:07:29
Comment 1 Sonja Mirtitsch 2001-09-25 14:51:34 PDT
Created attachment 50760 [details]
JSS 3.1 DBG built with new coreconf (failed)
Comment 2 Sonja Mirtitsch 2001-09-25 14:52:25 PDT
Created attachment 50761 [details]
JSS 3.1 DBG built with NSS_3_3_RTM coreconf (passed)
Comment 3 Jamie Nicolson 2001-09-28 16:59:01 PDT
Sonja,

Can you please do a "which ld"?

The ld man page does indicate that the -B argument is supposed to take a number,
not the word "symbolic". But it works for me. Possibly it depends which version
and supplier of ld we are using.
Comment 4 Sonja Mirtitsch 2001-09-28 18:12:27 PDT
in a regular svbld login shell which ld gives 
/bin/ld
version 3.11
I am not completely convinced that that is the ld that is being used in the
build, since I am not so familiar with the buildsystem - maybe the linker is
being changed - you could ask Anthony. 
With the coreconf that is tagged NSS_3_3_RTM it builds fine.

Comment 5 Jamie Nicolson 2001-10-03 10:54:00 PDT
I removed the "-B symbolic" flag in mozilla/security/jss/config/config.mk on the
JSS_3_1_BRANCH. This should fix this specific problem.

I created a bug to deal with the general problem:
http://bugzilla.mozilla.org/show_bug.cgi?id=102922 (get rid of -B symbolic
linker option).
Comment 6 Sonja Mirtitsch 2001-10-03 13:05:17 PDT
works now on the 3.1 branch, could you please remember to check the fix in at
the tip as well?.
Thanks
Comment 7 Sonja Mirtitsch 2001-10-26 16:08:59 PDT
Please fix on the tip as well. Thanks
Comment 8 Jamie Nicolson 2001-10-30 13:12:03 PST
Fixed on the trunk.

/cvsroot/mozilla/security/jss/config/config.mk,v  <--  config.mk
new revision: 1.5; previous revision: 1.4

Note You need to log in before you can comment on or make changes to this bug.